#!/bin/sh
#
# This little script will print the documentation.  It does this by invoking
# elvis on each documentation file in turn, telling elvis to print the file
# via its :lpr command and then quit.  The complete manual should be about
# 200 pages long.
#
#     THIS ASSUMES YOU HAVE ALREADY SET UP THE PRINTING OPTIONS!

HTMLDIR="/usr/share/elvis/manual"
MANDIR="/usr/share/elvis/manual"
#MANDIR="/usr/share/man/man1"
MANEXT="man"
#MANEXT="1.gz"

elvis -Gquit -clp "$HTMLDIR"/elvis.html
elvis -Gquit -clp "$HTMLDIR"/elvisvi.html
elvis -Gquit -clp "$HTMLDIR"/elvisinp.html
elvis -Gquit -clp "$HTMLDIR"/elvisex.html
elvis -Gquit -clp "$HTMLDIR"/elvisre.html
elvis -Gquit -clp "$HTMLDIR"/elvisopt.html
elvis -Gquit -clp "$HTMLDIR"/elvisdm.html
elvis -Gquit -clp "$HTMLDIR"/elvisgui.html
elvis -Gquit -clp "$HTMLDIR"/elvisos.html
elvis -Gquit -clp "$HTMLDIR"/elvisses.html
elvis -Gquit -clp "$HTMLDIR"/elviscut.html
elvis -Gquit -clp "$HTMLDIR"/elvismsg.html
elvis -Gquit -clp "$HTMLDIR"/elvisexp.html
elvis -Gquit -clp "$HTMLDIR"/elvistag.html
elvis -Gquit -clp "$HTMLDIR"/elvisnet.html
elvis -Gquit -clp "$HTMLDIR"/elvistip.html
elvis -Gquit -clp "$HTMLDIR"/elvistrs.msg
elvis -Gquit -clp "$HTMLDIR"/elvisqr.html
elvis -Gquit -clp "$MANDIR"/elvis."$MANEXT"
elvis -Gquit -clp "$MANDIR"/elvtags."$MANEXT"
elvis -Gquit -clp "$MANDIR"/ref."$MANEXT"
elvis -Gquit -clp "$MANDIR"/elvfmt."$MANEXT"
